## com.gargoylesoftware.htmlunit.html
Class DomChangeEvent

    java.lang.Object
      java.util.EventObject
          com.gargoylesoftware.htmlunit.html.DomChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DomChangeEvent

extends java.util.EventObject

This is the event class for notifications about changes to the DOM structure.

Version:
  $Revision: 4002 $
Author:
  Ahmed Ashour
See Also:
  `DomChangeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DomChangeEvent(DomNode parentNode, DomNode changedNode)` Constructs a new DomChangeEvent from the given parent node and a changed node.

Method Summary
`DomNode` `getChangedNode()` Returns the node that has been added or deleted.
`DomNode` `getParentNode()` Returns the parent of the node that was changed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomChangeEvent

    public DomChangeEvent(DomNode parentNode,
                          DomNode changedNode)

  Constructs a new DomChangeEvent from the given parent node and a changed node.

  Parameters:
    `parentNode` - the parent of the node that was changed
    `changedNode` - the node that has been added or deleted

Method Detail

### getParentNode

    public DomNode getParentNode()

  Returns the parent of the node that was changed.

  Returns:
    the parent of the node that was changed

### getChangedNode

    public DomNode getChangedNode()

  Returns the node that has been added or deleted.

  Returns:
    the node that has been added or deleted

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.